import { TableDependOneProps } from './TableDependOne';
type FilterFnc = (el: HTMLElement) => boolean;
interface TableOneVisibleProps {
    container: HTMLElement;
    name: string;
    filter?: FilterFnc;
    depends?: TableDependOneProps[];
}
export interface OneVisibleEvent {
    rowNum: number;
}
export interface FilterOneVisibleEvent {
    filter: FilterFnc;
}
export default class TableOneVisible {
    protected props: TableOneVisibleProps;
    private dropdown;
    private children;
    static isInit(el: HTMLElement): boolean;
    static create(props: TableOneVisibleProps): TableOneVisible;
    constructor(props: TableOneVisibleProps);
    init(): void;
    calcList(): void;
    afterAddEvent(): void;
    afterDeleteEvent(): void;
    filterEvent(ev: Event): void;
    changeTab(index: number): void;
    getTotalItem(): number;
    getArrayTab(): string[];
}
export {};
